javax.websocket

## Interface Decoder

All Known Subinterfaces:
  Decoder.Binary<T>, Decoder.BinaryStream<T>, Decoder.Text<T>, Decoder.TextStream<T>

    public interface Decoder

### Nested Class Summary

Nested Classes
`static interface` `Decoder.Binary<T>`
`static interface` `Decoder.BinaryStream<T>`
`static interface` `Decoder.Text<T>`
`static interface` `Decoder.TextStream<T>`

### Method Summary

Methods
`void` `destroy()`
`void` `init(EndpointConfig endpointConfig)`

### Method Detail

#### init

    void init(EndpointConfig endpointConfig)

#### destroy

    void destroy()